# DataExchange
TKSTEP209
StepFEA

# StepFEA_HArray1OfCurveElementEndOffset Class Reference

`#include <StepFEA_HArray1OfCurveElementEndOffset.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_HArray1OfCurveElementEndOffset (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_HArray1OfCurveElementEndOffset (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepFEA_CurveElementEndOffset)&V)
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementEndOffset)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepFEA_CurveElementEndOffset)&Value)
const Handle_StepFEA_CurveElementEndOffset & | Value (const Standard_Integer Index) const
Handle_StepFEA_CurveElementEndOffset & | ChangeValue (const Standard_Integer Index)
const StepFEA_Array1OfCurveElementEndOffset & | Array1 () const
StepFEA_Array1OfCurveElementEndOffset & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_Array1OfCurveElementEndOffset | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_HArray1OfCurveElementEndOffset::StepFEA_HArray1OfCurveElementEndOffset | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_HArray1OfCurveElementEndOffset::StepFEA_HArray1OfCurveElementEndOffset | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepFEA_CurveElementEndOffset)& | V
| ) |

## Member Function Documentation

const StepFEA_Array1OfCurveElementEndOffset& StepFEA_HArray1OfCurveElementEndOffset::Array1 | ( |  | ) | const

StepFEA_Array1OfCurveElementEndOffset& StepFEA_HArray1OfCurveElementEndOffset::ChangeArray1 | ( |  | ) |

Handle_StepFEA_CurveElementEndOffset& StepFEA_HArray1OfCurveElementEndOffset::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepFEA_HArray1OfCurveElementEndOffset::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_HArray1OfCurveElementEndOffset::Init | ( | const Handle(StepFEA_CurveElementEndOffset)& | V | ) |

Standard_Integer StepFEA_HArray1OfCurveElementEndOffset::Length | ( |  | ) | const

Standard_Integer StepFEA_HArray1OfCurveElementEndOffset::Lower | ( |  | ) | const

void StepFEA_HArray1OfCurveElementEndOffset::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepFEA_CurveElementEndOffset)& | Value
| ) |

Standard_Integer StepFEA_HArray1OfCurveElementEndOffset::Upper | ( |  | ) | const

const Handle_StepFEA_CurveElementEndOffset& StepFEA_HArray1OfCurveElementEndOffset::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepFEA_Array1OfCurveElementEndOffset StepFEA_HArray1OfCurveElementEndOffset::myArray`[private]`

The documentation for this class was generated from the following file:

- StepFEA_HArray1OfCurveElementEndOffset.hxx